import type { Theme } from "../types"

export const lightTheme: Theme = {
  background: "#ffffff",
  text: "#24292e",
  comment: "#6a737d",
  keyword: "#d73a49",
  string: "#032f62",
  number: "#005cc5",
  boolean: "#005cc5",
  null: "#005cc5",
  undefined: "#005cc5",
  operator: "#d73a49",
  punctuation: "#24292e",
  identifier: "#24292e",
  function: "#6f42c1",
  class: "#6f42c1",
  builtin: "#005cc5",
  variable: "#24292e",
  property: "#005cc5",
  decorator: "#6f42c1",
  regex: "#032f62",
  lineNumber: "#6a737d",
}

export const darkTheme: Theme = {
  background: "#1e1e1e",
  text: "#d4d4d4",
  comment: "#6a9955",
  keyword: "#569cd6",
  string: "#ce9178",
  number: "#b5cea8",
  boolean: "#569cd6",
  null: "#569cd6",
  undefined: "#569cd6",
  operator: "#d4d4d4",
  punctuation: "#d4d4d4",
  identifier: "#9cdcfe",
  function: "#dcdcaa",
  class: "#4ec9b0",
  builtin: "#4ec9b0",
  variable: "#9cdcfe",
  property: "#9cdcfe",
  decorator: "#dcdcaa",
  regex: "#d16969",
  lineNumber: "#858585",
}

export const themes = {
  light: lightTheme,
  dark: darkTheme,
}

